Bug 1310116 - [RFE] dnf: make the 'dnf enable USER/COPR' work with internal copr
[RFE] dnf: make the 'dnf enable USER/COPR' work with internal copr
Status: ASSIGNED
Product: Red Hat Internal Copr
Classification: Internal
Component: client (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 09:01 EST by Pavel Raiskup
Modified: 2018-01-08 05:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2016-02-19 09:01:13 EST
SSIA.
Comment 1 Miroslav Suchý 2016-03-18 15:58:50 EDT
Well it is probably matter changing code in copr.py in dnf-plugins-core to read hostname from ~/.config/copr. Right now it is hardcoded.
Comment 2 clime 2018-01-08 04:49:33 EST
There is: https://github.com/rpm-software-management/dnf-plugins-core/blob/master/plugins/copr.py#L91

So that should do it if /root/.config/copr is present. Can you confirm?

I think we could remove: 

if self.copr_url != "https://copr.fedorainfracloud.org":
    print(_("Warning: we are using non-standard Copr URL '{}'.").format(self.copr_url))"

but at the same time, some info about /root/.config/copr being read would be useful.

This would be better placed in dnf configuration somewhere, I think.
Comment 3 Pavel Raiskup 2018-01-08 05:24:55 EST
Answered here:
https://bugzilla.redhat.com/show_bug.cgi?id=1478208#c4

Note You need to log in before you can comment on or make changes to this bug.